Subject: Canceling 9/7 PCEF Committee small group meeting and other scheduling
From: "Baraso, Sam" <[email-masked]>
To: "Baraso, Sam" <[email-masked]>
Cc: "Gilmore, Rachel" <[email-masked]>, "Lister, Cady" <[email-masked]>, "Valdez, Jaimes" <[email-masked]>, "Stover, Elizabeth" <[email-masked]>, "Reed, Magan" <[email-masked]>, Ciara Pressler <[email-masked]>, Tracy Smith <[email-masked]>, camerina.galvan.arias <[email-masked]>
Date: Thu, 31 Aug 2023 14:07:13 -0700

Hi PCEF Committee,

We&#8217;re going to cancel next week&#8217;s small group meetings as I will not have any substantial information to share then. I have briefings scheduled with most of the Commissioner&#8217;s offices the following week and will fill Megan and Ranfis in on the conversations. I do want to relay that the reception to Commissioner Rubio&#8217;s press conference on the CIP last week has been great and positive so far (see some of the media below). It was nice to see many of you there.

One thing we will move on now is scheduling out future Committee meetings to get our meetings onto Alicia, Paul, and DeAngelo&#8217;s calendars. So we&#8217;re moving forward with the every other month meeting schedule we proposed in our August meeting (dates listed below). I expect that we will continue to true up our meeting frequency as we find out more on what is needed. We will send out calendar invites shortly, which for the time being will come from my email account in case updates are needed while Rachel is on maternity leave.

   *   9/21: Public meeting, 6-8pm at PCC Southeast
   *   10/19: small group meetings, virtual (moving to 3rd Thursday of the month in between public meetings)
   *   11/16: Public meeting, 6-8pm at PCC Southeast
   *   December: no small groups or public meeting
   *   1/18: Public meeting, 6-8pm
   *   2/15: small group meetings, virtual
   *   3/21: Public meeting, 6-8pm

And some recent PCEF-related media:
   *   On the CIP:
        *   8/24, OPB, https://www.opb.org/article/2023/08/24/portland-clean-energy-fund/
        *   8/24, KPTV, https://www.kptv.com/2023/08/25/city-portland-presents-750m-climate-investment-plan/
        *   8/24, KGW, https://www.kgw.com/article/tech/science/environment/portland-climate-investment-plan-750-million-resilience-vulnerable-communities/283-43255c1c-dd00-4ea9-90b9-af5332734a57
        *   8/24, KATU, https://katu.com/news/local/portland-clean-energy-funds-plan-calls-for-750m-in-spending
   *   Other related media:
        *   8/16, KGW, https://www.kgw.com/video/news/local/the-story/after-another-round-of-dangerous-heat-how-is-portlands-low-income-ac-program-doing/283-330cd62a-cbdb-4c40-925d-416b76a4a6bf
        *   8/23, Wweek, https://www.wweek.com/news/courts/2023/08/23/former-city-contractor-to-shut-down-following-oregon-department-of-justice-probe/
        *   8/23, Oregonian, https://www.oregonlive.com/politics/2023/08/portland-executive-who-lost-12m-city-contract-following-oregonianoregonlive-investigation-forced-to-shut-down-nonprofit.html

As always, please feel free to ring me if you have any questions.

Best,
Sam
--
Sam Baraso, he/him/his
Program Manager, Portland Clean Energy Fund
City of Portland | Bureau of Planning &amp; Sustainability
1810 SW 5th Ave., Suite 710 | Portland, OR 97201
C: 503-307-2399 | W: Portland.gov/bps

The City of Portland is committed to providing meaningful access. For accommodations, modifications, translation, interpretation or other services, please contact 503-823-7700 or use City TTY 503-823-6868